<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Address.aspx.cs" Inherits="Car.map.Address" %>
<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	     <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet" /> 
    
    <link href="../bootstrap/css/common.css" rel="stylesheet" />
    <link href="../bootstrap/css/nav.css" rel="stylesheet" />
    <link href="../bootstrap/css/portal.css" rel="stylesheet" />
    <script src="../javascript/jquery-1.9.1.min.js"></script>
    <script src="../bootstrap/js/bootstrap.min.js"></script>
    <link href="../style/btn.css" rel="stylesheet" />

	<style type="text/css">
		body, html{width: 100%;height: 100%;margin:0;font-family:"微软雅黑";font-size:14px;}
		#l-map{height:420px;width:800px;}
		#r-result{width:100%;}
	</style>
	<script type="text/javascript" src="http://api.map.baidu.com/api?v=2.0&ak=<%=CarHelper.ApiKey %>"></script>
	<title>关键字输入提示词条</title>
</head>
<body style="margin:10px;">
        <div  style="margin:8px;">
	<table  >
        <tr>
            <th>
请输入
            </th>
            <td >
            <div id="r-result"><input type="text" id="suggestId"  class="form-control" value="" style="width:300px;" /></div> 
            </td>
            <td>
            <input type="button" class="btn btn-primary btn-flat" value="确定" onclick="var v=document.getElementById('suggestId').value; parent.setaddress(v);" />
           
         &nbsp;&nbsp;&nbsp;&nbsp;    <a href="###" onclick="alert('不可用');">预估时间</a>  
                 </td>
        </tr>

	</table>
	
	<div id="searchResultPanel" style="border:1px solid #C0C0C0;width:350px;height:auto; display:none;"></div>
  </div>

<div id="l-map"></div>
    

</body>
</html>
<script type="text/javascript">
     

    var point = new BMap.Point(<%=lng%>,<%=lat%>);
   var zoom=<%=zoom%>;   


	function G(id) {
		return document.getElementById(id);
	}

	var map = new BMap.Map("l-map"); 
	map.centerAndZoom( point,<%=zoom%>); 
    map.enableScrollWheelZoom(true);    



    var geoc = new BMap.Geocoder();    

    map.addEventListener("click", function(e){        
        var pt = e.point;
        geoc.getLocation(pt, function(rs){
            var addComp = rs.addressComponents;         
            var _add= addComp.district + addComp.street + addComp.streetNumber;
            G("suggestId").value=_add;
        });        
    });


	var ac = new BMap.Autocomplete(   
		{"input" : "suggestId"
		,"location" : map
	});

	ac.addEventListener("onhighlight", function(e) {  
	var str = "";
		var _value = e.fromitem.value;
		var value = "";
		if (e.fromitem.index > -1) {
			value = _value.province +  _value.city +  _value.district +  _value.street +  _value.business;
		}    
		str = "FromItem<br />index = " + e.fromitem.index + "<br />value = " + value;
		
		value = "";
		if (e.toitem.index > -1) {
			_value = e.toitem.value;
			value = _value.province +  _value.city +  _value.district +  _value.street +  _value.business;
		}    
		str += "<br />ToItem<br />index = " + e.toitem.index + "<br />value = " + value;
		G("searchResultPanel").innerHTML = str;
	});

	var myValue;
	ac.addEventListener("onconfirm", function(e) {    //鼠标点击下拉列表后的事件
	var _value = e.item.value;
		myValue = _value.province +  _value.city +  _value.district +  _value.street +  _value.business;
		G("searchResultPanel").innerHTML ="onconfirm<br />index = " + e.item.index + "<br />myValue = " + myValue;
		
		setPlace();
	});

	function setPlace(){
		map.clearOverlays();    //清除地图上所有覆盖物
		function myFun(){
			var pp = local.getResults().getPoi(0).point;    //获取第一个智能搜索的结果
			map.centerAndZoom(pp, 18);
			map.addOverlay(new BMap.Marker(pp));    //添加标注
		}
		var local = new BMap.LocalSearch(map, { //智能搜索
		  onSearchComplete: myFun
		});
		local.search(myValue);
	}
</script>
